com.aliyun.player.source

## Class VidAuth

- java.lang.Object
- - com.aliyun.player.source.SourceBase
  - - com.aliyun.player.source.VidSourceBase
    - - com.aliyun.player.source.VidAuth

-     public class VidAuth
      extends VidSourceBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.player.source.VidSourceBase

      `VidSourceBase.OutputType, VidSourceBase.ResultType, VidSourceBase.StreamType`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.player.source.SourceBase

      `mForceQuality, mQuality`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VidAuth()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPlayAuth()` Query the playback credential.
    `java.lang.String` | `getRegion()` Query region information.
    `java.lang.String` | `getVid()` Query the VID.
    `void` | `setPlayAuth(java.lang.String mPlayAuth)` Set the playback credential.
    `void` | `setQuality(java.lang.String quality, boolean forceQuality)` Definition settings
    `void` | `setRegion(java.lang.String mRegion)` Specify regions.
    `void` | `setVid(java.lang.String mVid)` Set the VID.

    - ### Methods inherited from class com.aliyun.player.source.VidSourceBase

      `getAuthTimeout, getDefinitionStr, getFormats, getFormatStr, getOutputType, getOutputTypeStr, getPlayConfig, getReAuthInfo, getReAuthInfoStr, getResultType, getResultTypeStr, getStreamType, getStreamTypeStr, setAuthTimeout, setDefinition, setFormats, setOutputType, setPlayConfig, setReAuthInfo, setResultType, setStreamType`

    - ### Methods inherited from class com.aliyun.player.source.SourceBase

      `getCoverPath, getQuality, getTitle, isForceQuality, setCoverPath, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VidAuth

          public VidAuth()

  - ### Method Detail

    - #### setQuality

          public void setQuality(java.lang.String quality,
                                 boolean forceQuality)

      Definition settings
      Parameters:
        `quality` - Specify a definition for playback.
        `forceQuality` - Indicate whether to force the player to play the media with the specified definition. However, if the media does not support the specified definition, then it cannot be played.

    - #### getVid

          public java.lang.String getVid()

      Query the VID.
      Returns:
        The VID.

    - #### setVid

          public void setVid(java.lang.String mVid)

      Set the VID.
      Parameters:
        `mVid` - The VID.

    - #### getPlayAuth

          public java.lang.String getPlayAuth()

      Query the playback credential.
      Returns:
        The playback credential.

    - #### setPlayAuth

          public void setPlayAuth(java.lang.String mPlayAuth)

      Set the playback credential.
      Parameters:
        `mPlayAuth` - The playback credential.

    - #### getRegion

          public java.lang.String getRegion()

      Query region information.
      Returns:
        The region information.

    - #### setRegion

          public void setRegion(java.lang.String mRegion)

      Specify regions.
      Parameters:
        `mRegion` - The specified regions.